import request from '@/utils/request'

// 查询出库记录列表
export function listOut(query) {
  return request({
    url: '/stock/out/list',
    method: 'get',
    params: query
  })
}

// 查询出库记录详细
export function getOut(stockOutCode) {
  return request({
    url: '/stock/out/' + stockOutCode,
    method: 'get'
  })
}

// 新增出库记录
export function addOut(data) {
  return request({
    url: '/stock/out',
    method: 'post',
    data: data
  })
}

// 修改出库记录
export function updateOut(data) {
  return request({
    url: '/stock/out',
    method: 'put',
    data: data
  })
}

// 删除出库记录
export function delOut(stockOutCode) {
  return request({
    url: '/stock/out/' + stockOutCode,
    method: 'delete'
  })
}
